summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-07-25 19:04:23 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-07-25 19:04:23 +0000
commit212641b79a9cfd69679ee4e25c790a6561c4f295 (patch)
treea3385a6228c1b058e68c0edd53c55c345fe50ac3 /dev-python
parent63f89fc61343f3b5b644bcc75457f0e1a447aea2 (diff)
downloadbaldeagleos-repo-212641b79a9cfd69679ee4e25c790a6561c4f295.tar.gz
baldeagleos-repo-212641b79a9cfd69679ee4e25c790a6561c4f295.tar.xz
baldeagleos-repo-212641b79a9cfd69679ee4e25c790a6561c4f295.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.39.13.ebuild53
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.39.13.ebuild67
-rw-r--r--dev-python/coverage/Manifest1
-rw-r--r--dev-python/coverage/coverage-7.10.0.ebuild109
-rw-r--r--dev-python/gitpython/Manifest2
-rw-r--r--dev-python/gitpython/gitpython-3.1.45.ebuild81
-rw-r--r--dev-python/grpcio-status/Manifest1
-rw-r--r--dev-python/grpcio-status/grpcio-status-1.74.0.ebuild46
-rw-r--r--dev-python/hatch-nodejs-version/Manifest1
-rw-r--r--dev-python/hatch-nodejs-version/hatch-nodejs-version-0.4.0.ebuild26
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.136.4.ebuild125
-rw-r--r--dev-python/inline-snapshot/Manifest1
-rw-r--r--dev-python/inline-snapshot/inline-snapshot-0.25.1.ebuild61
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch13
-rw-r--r--dev-python/langdetect/langdetect-1.0.9.ebuild6
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/narwhals/Manifest1
-rw-r--r--dev-python/narwhals/narwhals-1.48.1.ebuild36
-rw-r--r--dev-python/numpy/Manifest1
-rw-r--r--dev-python/numpy/numpy-2.3.2.ebuild187
-rw-r--r--dev-python/pebble/Manifest1
-rw-r--r--dev-python/pebble/pebble-5.1.2.ebuild25
-rw-r--r--dev-python/pygeotile/Manifest1
-rw-r--r--dev-python/pygeotile/metadata.xml13
-rw-r--r--dev-python/pygeotile/pygeotile-1.0.6.ebuild25
-rw-r--r--dev-python/pyproject2ebuild/metadata.xml4
-rw-r--r--dev-python/pyroute2/Manifest1
-rw-r--r--dev-python/pyroute2/pyroute2-0.9.3.ebuild26
-rw-r--r--dev-python/safety-schemas/metadata.xml4
-rw-r--r--dev-python/sqlglot/Manifest2
-rw-r--r--dev-python/sqlglot/sqlglot-27.3.1.ebuild179
-rw-r--r--dev-python/weasyprint/Manifest1
-rw-r--r--dev-python/weasyprint/weasyprint-66.0.ebuild43
37 files changed, 1129 insertions, 29 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 5ef6655ee5f0..9e2c2c7d89f8 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -1,6 +1,7 @@
DIST boto3-1.39.10.gh.tar.gz 972290 BLAKE2B 36840a23a6682253267ae075c0475da51e899f5c00454738c01657e35bd5763983aa7ecc253f9899a2e70f252f8986908d6253928e091f613b187f5505d07fd5 SHA512 a8211c790a599a5da48822238d958a1449433312a6119fc954158e02f5a91989faa38326963f04a67f283f3163af1be59221aac5683fc4560baa3eebc0d182ad
DIST boto3-1.39.11.gh.tar.gz 972912 BLAKE2B edeecb886432b4e9e640b8a082900b06c0b921a15a14dd5414c01659b8d371f8441e8e1787ec5f54b11a29e1d2b84bf71ff0bf9ec08dcdb645966e1ba9e23fdf SHA512 5d40050057c260a36196bb32982e209fdb2f99e7adc70eb4d5f3e28e8d7f2cd2f08d6e1e02e6e35e324eedb827b2b934ad94b52039e21a2d677279865e7a3073
DIST boto3-1.39.12.gh.tar.gz 973435 BLAKE2B d3b7cff2b1dedfb9cf0ccaf4d199088d0dcdaadc05600c28b735bda4d40fa91a0db36b221d6165dc303e0fb67a806daf5e947af9a70ff6fa02a312e357aa7d44 SHA512 9c451084326e97526078941c655162d03d8169fcaf5b646933c61acddf6adbd5ffd5512568a5b3c6b616445ffe7af20fee3133dd367c64be69ebb8e755663a48
+DIST boto3-1.39.13.gh.tar.gz 973573 BLAKE2B f2949f186327d250b133357ab8a4947996a4b1795eaf89715acae8ab03ad615fb951a6a571c11a18a8b10b6f71449abe84d9394c23826f01c067035b7768a878 SHA512 718c2d64a0d0784a0a30bfe43c03f03fd785de9fef4ba47ac3f2e272a1aac53b1749cd57422e97ce801dcfadf92555dd28979b270de39572af339654bf99d607
DIST boto3-1.39.3.gh.tar.gz 967377 BLAKE2B 239fcd2d4492d3848dc473c71cf3bf8cae80b844303c32cf0e405e810b18c892bf100705c39d81c196cd83288db2500331b9d706d481ebcfee8237d245af4bb1 SHA512 89a8e3bb96255c097ffa8a8d2dad6c18835d5404d502ba41fd500aac8dfb0d1229478b6d17e82e5668d00d6df604ade5a209a6c99f3d11fc956dee4c77c2452c
DIST boto3-1.39.4.gh.tar.gz 967954 BLAKE2B 5e63cfb5c2381605475c928c4aec6cf303b99ca13eb67377e5a283e07d0de35eb6846352976a854632e72c34477f964b32ffc8f0fc178d10d7e95df8d4a145cc SHA512 dbe389b4eb1e8ac1f425f34bb96c5baecc42acdc608bef7ddc31e1fbaa3baa6850504cb9513494a6ca782755ce9264fd0d794960eeb495678ef1cb3d2c85fe90
DIST boto3-1.39.9.gh.tar.gz 971951 BLAKE2B d77a87e3035a2797ff67d49c3df329836c51b305c72f8ce01445b668802aa1a529424e744ddd18e142cd35a0680be51383b56512dca115506a1a0f4860657b47 SHA512 c6df821d3558ca1d234a4a1dea231467c0935dff7c34e6eb01b067d4d2396024308f70218a621064b111359bc5197b191bc8f4a099bcfcc5f4d5bf174ba859b0
diff --git a/dev-python/boto3/boto3-1.39.13.ebuild b/dev-python/boto3/boto3-1.39.13.ebuild
new file mode 100644
index 000000000000..bd6e26787db4
--- /dev/null
+++ b/dev-python/boto3/boto3-1.39.13.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.13.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index bc020962072d..63d80c2ac503 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -1,6 +1,7 @@
DIST botocore-1.39.10.gh.tar.gz 14988031 BLAKE2B f2c3ccd639dfb1f7e2dfe7aa628b27446c91c2a4eb82cb73b4a43773e07c6dc3491eefc8c44fcc0bb292bf354c319a1aa0fcb0284f97ec283eb78bd681525921 SHA512 b6368e01422f324793eedc4580c4ec472a7511807d75b3e4443db1dad9993ebaec5e64692993ae69a3f4b1ba9e6652c5bbe7f41f797fccb895e78e31fa5fb590
DIST botocore-1.39.11.gh.tar.gz 14988753 BLAKE2B 86907506a2d80223fccdc2b053cbd9dfa3aa02c7f90f2c3732386ef426bedce9c9e138ea72edf1f9af98a42ffea0d89c2d985a4b08630b35212526b3c0167167 SHA512 8710e6dc8e7e8ed6afa87a777a26470b52a8565d6aee2f291e5e67e8563cba4d7ea52131c12d901944d1e4fc5e41814bbbd02c601891d694e8ecd3dcc5c28b94
DIST botocore-1.39.12.gh.tar.gz 14989254 BLAKE2B 9c44688ad962bafdd4af717475914bffc208da5ca3db5d4486533c6710652d763c468fc7ecf1392ed459d8d4ce8475a0d074b61d241a292e69ed4752a27ba0d7 SHA512 9fd2f56e49a3df025edaf448866cdb4ffcfb917684166f1d61e83c7ae6018e1fe9d77ae6e708fd0bcf65857b37422a28a5238a3710f666784d49820cbb7e8d85
+DIST botocore-1.39.13.gh.tar.gz 14996190 BLAKE2B 8b782748652b6d3cad146915ecd7145677bb08e729981d97341f4536c6404fa59af3df2280235cb3dfa5ade5b069826c51b5f8bc22c7f45a9588247aae86b79b SHA512 31980b3a987de18501cd4fb66697e0bc770af43a8e22d940258c8218a982c453f8b5ccf2c343c87d5ab24b9f4053fbeda899966ba4f1c751a78f5b8d82f72e51
DIST botocore-1.39.3.gh.tar.gz 14896843 BLAKE2B a2ddac0665f108b8db6c0b365080d5c7ae762fffce9e9a27af43658e9a595a924651f15c4daee8e4dc996b94972a8ea829cba81b0057df25c3c304449bbb1e3b SHA512 56bb2b79964d41f11d15d628801eb0b4feba700449da2e0a4a79b293a59b81b37b66e2863320eba7847271533c5ab76eb3ff624e19ec32dd632884baf662cf62
DIST botocore-1.39.4.gh.tar.gz 14901512 BLAKE2B 08fc52957828be9ccee26f61c4c006679c4f47754d4ecdf15eecfbb991808035215d1aac24f5ddf76a64673b23132b555fcb24adf57aacda8679abd7b0a16040 SHA512 3a68c96000a4e393abb68a9ca843ad62b74decd12ba551fa642efd21095fb3de50f0eeb8ee71f8934e9efa47486a138ee7bad6f3f4408fd5eff0a0fbf5053e6e
DIST botocore-1.39.9.gh.tar.gz 14983953 BLAKE2B 929c2456d8efc4256326c255888ebca82edd837df2dc0beeb37119af5f397b74c8e1d1349c66adc79361fe0cbdcb74d268b04ca563fa0047b27cd8f70f755290 SHA512 421421a9ac2845e18ccc6904b443d2d53883c5f85df1b34245541546ef5369cd29fc7af8751507e7513d06c818ff195bc59d6ea4e773b8975d4de874ba79116d
diff --git a/dev-python/botocore/botocore-1.39.13.ebuild b/dev-python/botocore/botocore-1.39.13.ebuild
new file mode 100644
index 000000000000..a931fcaefec4
--- /dev/null
+++ b/dev-python/botocore/botocore-1.39.13.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/coverage/Manifest b/dev-python/coverage/Manifest
index 5b600610e867..763825128cf0 100644
--- a/dev-python/coverage/Manifest
+++ b/dev-python/coverage/Manifest
@@ -1,2 +1,3 @@
+DIST coverage-7.10.0.tar.gz 819816 BLAKE2B 18e404a03b95a03fad0a4d1b51e3888dfc19e8664370bf89dcbd917969b8a240c4f80577b87231ee022d9bc10de9bdc248223ad531ac2ffafd78a4a5cbba3e74 SHA512 27575b11c3a14d8de73ffb1e56f64ba9c218bace54290685241ce347f2c246950b8ce30bc5c97497c5663196001b2dba5541ae05cf004552cf1f0a09b85fea08
DIST coverage-7.9.1.tar.gz 813650 BLAKE2B 42ea77277135a98d812c690aad744db427d6832ff01af68197015e4ff932c7ca88d2f804c0bceaca28b86087cb24245e5f57600444d064f1f008fc8b0a2353b5 SHA512 0bccbf802cdbd7d4df7c88cd7573466b024f7fb4cbf41fc5166a3e2dd70cd107caad01529971eb061cd571faadb342de057d0929f02b3b3e513666c052ecf591
DIST coverage-7.9.2.tar.gz 813556 BLAKE2B 6ed57a0011f7d05634c2a5c1e023f9ccfbb40d9a4bdd9011f2eaf03b658468a18df2044417f15108ec6429b6b62c63cd6a73e31904c0266137a4c6e65557207f SHA512 33ace642aada4b0ff5a72c3df628fe60fcc8b5f586f4851bfecc2ffa237cf019cbd78413c133aa8454e168b8895bfbc1363b722cf072eaf90979935b1982662c
diff --git a/dev-python/coverage/coverage-7.10.0.ebuild b/dev-python/coverage/coverage-7.10.0.ebuild
new file mode 100644
index 000000000000..e77b298e5776
--- /dev/null
+++ b/dev-python/coverage/coverage-7.10.0.ebuild
@@ -0,0 +1,109 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite(+)"
+
+inherit distutils-r1 multiprocessing pypi
+
+DESCRIPTION="Code coverage measurement for Python"
+HOMEPAGE="
+ https://coverage.readthedocs.io/en/latest/
+ https://github.com/nedbat/coveragepy/
+ https://pypi.org/project/coverage/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="+native-extensions"
+
+BDEPEND="
+ test? (
+ >=dev-python/unittest-mixins-1.4[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( hypothesis pytest-{rerunfailures,xdist} )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_compile() {
+ if ! use native-extensions; then
+ local -x COVERAGE_DISABLE_EXTENSION=1
+ fi
+
+ distutils-r1_python_compile
+}
+
+test_tracer() {
+ local -x COVERAGE_CORE=${1}
+ einfo " Testing with the ${COVERAGE_CORE} core ..."
+ epytest -o addopts= "${@:2}" tests
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # broken because of pytest plugins explicity loaded
+ tests/test_debug.py::ShortStackTest::test_short_stack{,_skip}
+ # these expect specific availability of C extension matching
+ # COVERAGE_CORE (which breaks testing pytracer on CPython)
+ tests/test_cmdline.py::CmdLineStdoutTest::test_version
+ tests/test_debug.py::DebugTraceTest::test_debug_sys_ctracer
+ # mismatch of expected concurrency in error message
+ # TODO: report upstream?
+ tests/test_concurrency.py::ConcurrencyTest::test_greenlet
+ tests/test_concurrency.py::ConcurrencyTest::test_greenlet_simple_code
+ # packaging tests, fragile to setuptools version
+ tests/test_setup.py
+ # looks like a difference in exit status reporting?
+ # https://github.com/nedbat/coveragepy/issues/2008
+ tests/test_process.py::ProcessTest::test_save_signal_usr1
+ )
+ local EPYTEST_IGNORE=(
+ # pip these days insists on fetching build deps from Internet
+ tests/test_venv.py
+ )
+
+ "${EPYTHON}" igor.py zip_mods || die
+
+ local -x COVERAGE_TESTING=True
+ # TODO: figure out why they can't be imported inside test env
+ local -x COVERAGE_NO_CONTRACTS=1
+
+ local jobs=${EPYTEST_JOBS:-$(makeopts_jobs)}
+ local xdist_args=()
+ if [[ ${jobs} -gt 1 ]]; then
+ # required upstream to avoid cross-test conflicts
+ xdist_args+=( --dist=loadgroup )
+ fi
+
+ local prev_opt=$(shopt -p nullglob)
+ shopt -s nullglob
+ local c_ext=( "${BUILD_DIR}/install$(python_get_sitedir)"/coverage/*.so )
+ ${prev_opt}
+
+ if [[ -n ${c_ext} ]]; then
+ cp "${c_ext}" coverage/ || die
+ test_tracer ctrace "${xdist_args[@]}"
+ fi
+
+ test_tracer pytrace "${xdist_args[@]}"
+
+ case ${EPYTHON} in
+ *3.11)
+ ;;
+ *)
+ # available since Python 3.12
+ test_tracer sysmon "${xdist_args[@]}"
+ ;;
+ esac
+
+ if [[ -n ${c_ext} ]]; then
+ rm coverage/*.so || die
+ fi
+}
diff --git a/dev-python/gitpython/Manifest b/dev-python/gitpython/Manifest
index d3a738671a02..2798c136da78 100644
--- a/dev-python/gitpython/Manifest
+++ b/dev-python/gitpython/Manifest
@@ -1,4 +1,6 @@
DIST GitPython-3.1.44.gitbundle 10877475 BLAKE2B bb699c221be259d0be53cf9b0a8e62191547dda2dee911406b14ce753f92748dabe5827adf86a5e5a373f6113daa8d5c93490208bc7250589a37379debd42f93 SHA512 b20ac8f691e57283d0167ee0d021d559153e51fef1ae64811624e3efb96620566ed8625d6bfd0d17a6ea385534de78c60c34aaa4a9bf8416bd45da36e196ee43
+DIST GitPython-3.1.45.gitbundle 11033375 BLAKE2B b9664edd805d75574a9293105366f288d3c72661a1b41a2d9c400abe7e1d157177d151f9d7387397d83dc1965d286986c8e2200cb698fd120563b4c8d367269a SHA512 01ed3d8e8fdcaa0702c9bd13fca00d1fa4f75566e81585a963adc82066a602875be2bb68414531cb9489342470ccc2a5f26b24c0987f89470afa14d3ea947509
DIST gitdb-4.0.12.gitbundle 1627457 BLAKE2B 2fb730fb72f682bac9a71a2b70af6ed476f69d57e00b323e669550793bcc330bd4b71575e0d0f008ed58f39e5beb622213ce2a10df6f512f1f5536b72c77871a SHA512 2fc619f511e373ad2ee51a108057e3a558dbfd68cbd7632244d7fd7914ed5fce99c182de5542264273de642e6e7680ee9b54a6da95224c562f43cf65e325db56
DIST gitpython-3.1.44.tar.gz 214196 BLAKE2B e51d50bdfaf7a96d58f744dd632439ae7d0001df25af00a732a292970ec5666e7efe167ecf4b83c32ce8f1717e465fee419405d44a3963004bd5e04461fe86c2 SHA512 ad87a76510c980cce1cf24eb1097a11d3f44833708556af6ae46d7a3e5fe6610f6a9d00e03e2e03fc0b48bb1d4d546a854c574d99e46f364478d0264abc1d076
+DIST gitpython-3.1.45.tar.gz 215076 BLAKE2B bed5cc155d02510b1432a449d6c734388d70f2f29a37b11c60c3aabd082f4cd0dcc09d1b47f28c8cd38e1ae9489f8de896e6043dae994e33ab27c8943a587306 SHA512 8d046f9dda080d58260ac076fdcd49d3b19284a6e4f6c7cd6c4ccc107473c37fcffa47ef667a6d98eff0d048ed911b44705b0bbc065314daa002ef7311de8428
DIST smmap-5.0.1.gitbundle 362567 BLAKE2B 72c8b48ad3250a33b94218c145c02033dee84c1da5f1eea57983a58699262d51844be675330d95c7d64924b6aeaacd4b0a57e9a5acad3be184aaad62102202e7 SHA512 9ca8386bfec25d1562cdf1c2ee85f7edb15fd3f44ecd1abbef738979f12b82f0b0f39a06589203a39f89518d981d7129e35f64f2d855cd162cd964bdd87c8d18
diff --git a/dev-python/gitpython/gitpython-3.1.45.ebuild b/dev-python/gitpython/gitpython-3.1.45.ebuild
new file mode 100644
index 000000000000..80d9a6924639
--- /dev/null
+++ b/dev-python/gitpython/gitpython-3.1.45.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN=GitPython
+PYTHON_COMPAT=( python3_{11..14} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+TEST_P=GitPython-${PV}
+GITDB_P=gitdb-4.0.12
+SMMAP_P=smmap-5.0.1
+
+DESCRIPTION="Library used to interact with Git repositories"
+HOMEPAGE="
+ https://github.com/gitpython-developers/GitPython/
+ https://pypi.org/project/GitPython/
+"
+SRC_URI+="
+ test? (
+ https://dev.gentoo.org/~mgorny/dist/${TEST_P}.gitbundle
+ https://dev.gentoo.org/~mgorny/dist/${GITDB_P}.gitbundle
+ https://dev.gentoo.org/~mgorny/dist/${SMMAP_P}.gitbundle
+ )
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-vcs/git
+ >=dev-python/gitdb-4.0.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/ddt-1.1.1[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-mock )
+distutils_enable_tests pytest
+
+src_test() {
+ git config --global user.email "travis@ci.com" || die
+ git config --global user.name "Travis Runner" || die
+
+ git clone "${DISTDIR}/${TEST_P}.gitbundle" "${T}"/test || die
+ git clone "${DISTDIR}/${GITDB_P}.gitbundle" \
+ "${T}"/test/git/ext/gitdb || die
+ git clone "${DISTDIR}/${SMMAP_P}.gitbundle" \
+ "${T}"/test/git/ext/gitdb/gitdb/ext/smmap || die
+
+ cd "${T}"/test || die
+ git rev-parse HEAD > .git/refs/remotes/origin/master || die
+ # this tries to fetch again
+ sed -i -e '/git submodule/d' init-tests-after-clone.sh || die
+ TRAVIS=1 ./init-tests-after-clone.sh || die
+ cat test/fixtures/.gitconfig >> ~/.gitconfig || die
+
+ distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # performance tests are unreliable by design
+ test/performance
+ # unimportant and problematic
+ test/test_installation.py
+ # Internet
+ test/test_quick_doc.py::QuickDoc::test_cloned_repo_object
+ # TODO
+ test/test_submodule.py::TestSubmodule::test_base_rw
+ test/test_submodule.py::TestSubmodule::test_root_module
+ )
+
+ epytest -o addopts= test
+}
diff --git a/dev-python/grpcio-status/Manifest b/dev-python/grpcio-status/Manifest
index 95be0dd13537..72d46fd9e3d2 100644
--- a/dev-python/grpcio-status/Manifest
+++ b/dev-python/grpcio-status/Manifest
@@ -1 +1,2 @@
DIST grpc-1.73.1.gh.tar.gz 14876868 BLAKE2B 6321e16b4ebee97c8482be8756700de6409bcaf3eac5be0765b021672560fd9d063385fd6c3c03855134dd26157b1183efe38e99acdab72b31e149478b52c4de SHA512 66e66828de7c95d3eb83bcba369f9c73be89044a5a755f99132de1694b08b72ebc848b33c73fdeed816174f1fc44e407be094237fcb4c5bc9732019cb3fae1b5
+DIST grpc-1.74.0.gh.tar.gz 15014902 BLAKE2B 1c024dd44053cc076d8c3d42b9aa642120222ba36fb816a7be31b9e72b12fe1c14e2d8d81db38c1ea89a57589ebc6153d6089b32c0cbc4100d8b70b579bb42fe SHA512 2b8e726743336ad33157705761159ae4f096209781d7c05cf0b2699852604dde28878f60f3028e08f19db7d8f7c003dc342594a387a9da55db67d39180fdc010
diff --git a/dev-python/grpcio-status/grpcio-status-1.74.0.ebuild b/dev-python/grpcio-status/grpcio-status-1.74.0.ebuild
new file mode 100644
index 000000000000..da5452aed937
--- /dev/null
+++ b/dev-python/grpcio-status/grpcio-status-1.74.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+MY_P=grpc-${PV}
+DESCRIPTION="Reference package for GRPC Python status proto mapping"
+HOMEPAGE="
+ https://grpc.io/
+ https://github.com/grpc/grpc/
+ https://pypi.org/project/grpcio-status/
+"
+SRC_URI="
+ https://github.com/grpc/grpc/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}/src/python/grpcio_status
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/grpcio-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/googleapis-common-protos-1.5.5[${PYTHON_USEDEP}]
+ <dev-python/protobuf-7[${PYTHON_USEDEP}]
+ >=dev-python/protobuf-6.31.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/coverage[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_test() {
+ cd "${WORKDIR}/${MY_P}/src/python/grpcio_tests" || die
+ epytest tests{,_aio}/status
+}
diff --git a/dev-python/hatch-nodejs-version/Manifest b/dev-python/hatch-nodejs-version/Manifest
index 988f3f42b9b9..c89701f6e305 100644
--- a/dev-python/hatch-nodejs-version/Manifest
+++ b/dev-python/hatch-nodejs-version/Manifest
@@ -1 +1,2 @@
DIST hatch_nodejs_version-0.3.2.tar.gz 16942 BLAKE2B dd68166a4aa7112dee4b566a748a40f951b73a4c7a8f6435ff0dd6706fed7d520d17d9e55604f9c901688a751d62f1160de3618026bdb829e5989fad87efa268 SHA512 e781669c84c3e61333cbd47f078ff6f16dae5b3c6e7d2ea76ae20ee78012ea9686a2be684127db821a6128408030bc09a0210386424f155af5a044f0178d44d4
+DIST hatch_nodejs_version-0.4.0.tar.gz 17797 BLAKE2B b27c70624ce092766fe4567a04bd201f0b335c127cbe38847bf69ec6f1f3c4397770dcf8fff50b2e4583c47747144314cbaa684e7f44ae0fec616821d14bec27 SHA512 3ba742a9c802499e8cb5be53220a60b9ea40c3124bc5fbe7b0d5f95544edc853dc3d54fc29e97f5f2db41f5bb3d573dc59eae78e53578ba0f7574539fb45671e
diff --git a/dev-python/hatch-nodejs-version/hatch-nodejs-version-0.4.0.ebuild b/dev-python/hatch-nodejs-version/hatch-nodejs-version-0.4.0.ebuild
new file mode 100644
index 000000000000..0050300aeb81
--- /dev/null
+++ b/dev-python/hatch-nodejs-version/hatch-nodejs-version-0.4.0.ebuild
@@ -0,0 +1,26 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Hatch plugin for versioning from a package.json file"
+HOMEPAGE="
+ https://github.com/agoose77/hatch-nodejs-version/
+ https://pypi.org/project/hatch-nodejs-version/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/hatchling-0.21.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 054e412c7d3b..37819e3e5572 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -3,3 +3,4 @@ DIST hypothesis-6.136.0.gh.tar.gz 9596080 BLAKE2B 65acbc8ea75e6fea22d7ee1329f684
DIST hypothesis-6.136.1.gh.tar.gz 9596297 BLAKE2B d9131ab81383ca13804ed628b6a0084c63d964d9d12e91d3eaf3d94077498a4ceafac19d8dee75b95a800e134b3189b9577610b0c874dacf7c5a385ddb86f2d0 SHA512 8aef18e5a51f4a40f7dd04dcab1ba61a4dec3a9449891a1869a444cb8274e7cc71940f8412486f258ca822f74adcb3f3bee96f5ded7e464498a0fc4543b03146
DIST hypothesis-6.136.2.gh.tar.gz 9597138 BLAKE2B 06b6d4ea1e46a65af75380e08e1de3081106972145de3bc7be92236e4c982ca8655e4aeec016d19f003bd88b9881f1f0ac87cfa5047164e361defe46259b4798 SHA512 386326b0c83192cd7c8af22c309db78d561bdbf4135cc8daf08221885b07f8f9cf535c340a217c2c807c3f963e2aa16ad9bbb443590b47da8aee69904b43daab
DIST hypothesis-6.136.3.gh.tar.gz 9598370 BLAKE2B 8f8c06d53fa240151bcc155ffdce6992565e1ca69b334dc90ffa549e3d0fe627126eb7918342ceb542fde22510eeec58d329e7f1ef27d8bd76d5579c5c13f35e SHA512 9f29abd284eae68e888dcba65f7ead624bef56bd47401a08281ce7dbd34975d7f845d69b5f005c85dd7718538db535104b2ab7dbd9293e73b479d0ffcfdfd60c
+DIST hypothesis-6.136.4.gh.tar.gz 9598539 BLAKE2B f22f644ad9d9b308de9b1357a5977dceb2ced24987b252f291d5f7a9ea66722277b45eb4313e7ac4771d21f5aa3cd43f92a2ee0a988e0c8b994384853ba30c08 SHA512 9de1e0acfc9242ce97728adb415ee8d56afdeb194e5550fdce4140c13b29cab09f1ef7ebded14ede12e66520a86c55548f1e743315ada6dc0e5a48ba87014ac3
diff --git a/dev-python/hypothesis/hypothesis-6.136.4.ebuild b/dev-python/hypothesis/hypothesis-6.136.4.ebuild
new file mode 100644
index 000000000000..7a7443937da6
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.136.4.ebuild
@@ -0,0 +1,125 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{11..13} )
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ >=dev-python/pytest-8[${PYTHON_USEDEP}]
+ )
+"
+PDEPEND="
+ dev-python/hypothesis-gentoo[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGIN_LOAD_VIA_ENV=1
+EPYTEST_PLUGINS=( "${PN}" pytest-xdist )
+EPYTEST_RERUNS=5
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ # NB: paths need to be relative to pytest.ini,
+ # i.e. start with hypothesis-python/
+ local EPYTEST_DESELECT=()
+ case ${EPYTHON} in
+ python3.13t)
+ EPYTEST_DESELECT+=(
+ # TODO: missing warning
+ 'hypothesis-python/tests/cover/test_random_module.py::test_passing_referenced_instance_within_function_scope_warns'
+ )
+ ;;
+ python3.14*)
+ EPYTEST_DESELECT+=(
+ 'hypothesis-python/tests/cover/test_compat.py::test_resolve_fwd_refs[Foo-Union]'
+ 'hypothesis-python/tests/cover/test_lookup.py::test_builds_suggests_from_type[Union]'
+ hypothesis-python/tests/cover/test_attrs_inference.py::test_attrs_inference_builds
+ hypothesis-python/tests/cover/test_lookup.py::test_bytestring_not_treated_as_generic_sequence
+ hypothesis-python/tests/cover/test_lookup.py::test_issue_4194_regression
+ hypothesis-python/tests/cover/test_lookup.py::test_resolves_forwardrefs_to_builtin_types
+ hypothesis-python/tests/cover/test_lookup.py::test_specialised_collection_types
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_collection_as_generic
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_container_as_generic
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_contextmanager_as_generic
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_iterable_as_generic
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_reversible_as_generic
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_sequence_as_generic
+ hypothesis-python/tests/cover/test_random_module.py::test_evil_prng_registration_nonsense
+ hypothesis-python/tests/cover/test_random_module.py::test_passing_referenced_instance_within_function_scope_warns
+ hypothesis-python/tests/cover/test_random_module.py::test_register_random_within_nested_function_scope
+ hypothesis-python/tests/cover/test_random_module.py::test_registering_a_Random_is_idempotent
+ hypothesis-python/tests/cover/test_type_lookup_forward_ref.py::test_bound_missing_dot_access_forward_ref
+ hypothesis-python/tests/cover/test_type_lookup_forward_ref.py::test_bound_missing_forward_ref
+ hypothesis-python/tests/cover/test_type_lookup_forward_ref.py::test_bound_type_checking_only_forward_ref_wrong_type
+ hypothesis-python/tests/cover/test_type_lookup_forward_ref.py::test_bound_type_cheking_only_forward_ref
+ )
+ ;;
+ esac
+
+ local -x HYPOTHESIS_NO_PLUGINS=1
+ epytest -o filterwarnings= tests/{cover,pytest,quality}
+}
+
+src_install() {
+ local HAD_CLI=
+
+ distutils-r1_src_install
+
+ if [[ ! ${HAD_CLI} ]]; then
+ rm -r "${ED}/usr/bin" || die
+ fi
+}
+
+python_install() {
+ distutils-r1_python_install
+ if use cli && has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ HAD_CLI=1
+ else
+ rm -r "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/inline-snapshot/Manifest b/dev-python/inline-snapshot/Manifest
index 2a98568c6109..6bf259231edb 100644
--- a/dev-python/inline-snapshot/Manifest
+++ b/dev-python/inline-snapshot/Manifest
@@ -1,3 +1,4 @@
DIST inline_snapshot-0.23.2.tar.gz 260704 BLAKE2B db40ec4d77acbadc1cba2772bcdbfdd284f5bb97930e7101a4f9f2cfae5ef53d6084295e11a2a6c23ac736613b0733000222a2f3914c314ed9f2dd0027cd02cc SHA512 af91622c7722faa54c0a2a12c5f427748243dbf4f019aeeca125db0244377daefaa236f4bc5cf3bc65b21215d97923aebee2ac717bea7afd181c4ec515142cc3
DIST inline_snapshot-0.24.0.tar.gz 263374 BLAKE2B 4d20f973ceae3f138b5f709cf636c8e82ba7d7e3fa2cb8288729f369ef243e9e8155b30b7b9d52758bc1e76ef91badb264f1b5b5dfcb3d91cbf6d170419d5d2e SHA512 d523f29af2ff6026e21fd3c24a6c222784d0db0983fd4a906b852c3d0ec38016eb1df373b4873ae99cb16e7a5e94d582ed6df6803a83d7da244a895a70f37ba9
DIST inline_snapshot-0.25.0.tar.gz 343422 BLAKE2B 09888133a785cb0645b374c58c323b7711ddd6169a47242914031d50600c6382f94aa9d36b091ea64079a705d074d6348a9bcbe93f94553fd09b57e0c216669e SHA512 f20e559c2d61d980d4e0260d8ab275a2c46458f14ac945a66a422b6fc38043fae517cb3a01b71a6a7167b4e442c8ee73ec91661b804cbc2f31e4432d758192c4
+DIST inline_snapshot-0.25.1.tar.gz 343495 BLAKE2B 3ea51fb40f01d8c463dfe5794ecd64d0f4b087eb5f8b0f522762e70c7d1f67f4e36b8747a1a1088e5cb602143d5e1c7b5bc582a29edc8284f797a22e7f169a3e SHA512 d71cb2b00b1a497833606463410216e0c8a71999476bd41dfcc1ff1939808e14e19b6135ff5404dfa9111bf281a37d240031cda6ba0c8b1418cb7a87e7efe0e9
diff --git a/dev-python/inline-snapshot/inline-snapshot-0.25.1.ebuild b/dev-python/inline-snapshot/inline-snapshot-0.25.1.ebuild
new file mode 100644
index 000000000000..48bea06faabd
--- /dev/null
+++ b/dev-python/inline-snapshot/inline-snapshot-0.25.1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Create and update inline snapshots in your Python tests"
+HOMEPAGE="
+ https://15r10nk.github.io/inline-snapshot/
+ https://github.com/15r10nk/inline-snapshot/
+ https://pypi.org/project/inline-snapshot/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/asttokens-2.0.5[${PYTHON_USEDEP}]
+ >=dev-python/executing-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-8.3.4[${PYTHON_USEDEP}]
+ >=dev-python/rich-13.7.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/attrs[${PYTHON_USEDEP}]
+ >=dev-python/black-23.3.0[${PYTHON_USEDEP}]
+ >=dev-python/dirty-equals-0.7.0[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-6.75.5[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/mypy[${PYTHON_USEDEP}]
+ ' 'python*')
+ >=dev-python/pydantic-2[${PYTHON_USEDEP}]
+ >=dev-python/pytest-freezer-0.4.8[${PYTHON_USEDEP}]
+ >=dev-python/pytest-mock-3.14.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-subtests-0.11.0[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGIN_LOAD_VIA_ENV=1
+EPYTEST_PLUGINS=( "${PN}" pytest-{freezer,mock,subtests,xdist} )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # requires pyright
+ 'tests/test_typing.py::test_typing_args[pyright]'
+ 'tests/test_typing.py::test_typing_call[pyright]'
+ # TODO
+ tests/test_formating.py::test_format_command_fail
+ )
+
+ local -x COLUMNS=80
+ local -x PYTHONPATH=${S}/src
+ epytest -p pytest_mock
+}
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index a11d7c268c91..d12ab8aeaca8 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1 +1,3 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
+EBUILD langdetect-1.0.9.ebuild 494 BLAKE2B 9cd8a2a93a8d45bf51fe2324402b175d641762ea591fcb99459427f977a95eccffa6ca4777ca4df39814eea6eac62711567faa654456d32f79023a4685804504 SHA512 d973b85ba1a44389a4275f02a779a93a005f7c2e096467b94b072862e4984d5b42cf33f9821ac68aa5b85b12c98983a90b96049989d8c84497969174b6bb838e
+MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
deleted file mode 100644
index 637368d2f237..000000000000
--- a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-Fix "Package 'langdetect.profiles' is absent from the `packages` configuration."
-
---- a/setup.py
-+++ b/setup.py
-@@ -18,7 +18,7 @@ setup(
- author_email='michal.danilak@gmail.com',
- url='https://github.com/Mimino666/langdetect',
- keywords='language detection library',
-- packages=['langdetect', 'langdetect.utils', 'langdetect.tests'],
-+ packages=['langdetect', 'langdetect.utils', 'langdetect.tests', 'langdetect.profiles'],
- include_package_data=True,
- install_requires=['six'],
- license='MIT',
diff --git a/dev-python/langdetect/langdetect-1.0.9.ebuild b/dev-python/langdetect/langdetect-1.0.9.ebuild
index 99577c43fc3e..56733bbffc48 100644
--- a/dev-python/langdetect/langdetect-1.0.9.ebuild
+++ b/dev-python/langdetect/langdetect-1.0.9.ebuild
@@ -1,9 +1,9 @@
-# Copyright 2022-2024 Gentoo Authors
+# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
DISTUTILS_USE_PEP517=setuptools
inherit distutils-r1 pypi
@@ -19,6 +19,4 @@ KEYWORDS="~amd64"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
-PATCHES=( "${FILESDIR}/${P}-explicit-config.patch" )
-
distutils_enable_tests unittest
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index c0f74ac187e2..020e07f2a3dd 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -2,9 +2,11 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>pastalian46@gmail.com</email>
- <name>Takuya Wakazono</name>
+ <email>marcin.deranek@slonko.net</email>
+ <name>Marcin Deranek</name>
</maintainer>
-
- <origin>gentoo-guru-overlay</origin>
+ <upstream>
+ <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
+ </upstream>
+ <origin>slonko-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/narwhals/Manifest b/dev-python/narwhals/Manifest
index a7d00944fb5d..df63f34d258f 100644
--- a/dev-python/narwhals/Manifest
+++ b/dev-python/narwhals/Manifest
@@ -1,2 +1,3 @@
DIST narwhals-1.47.1.tar.gz 516244 BLAKE2B 432b08ab90e596be515d46cba4fa7911ee6703aa80d71ea56fbb1af390ee30cb3c0d021a840c73cd6b533f3de7f4d430da28bab31530c7e4578deaca16148166 SHA512 f00a128007f32b765283b806f80063a538c402ca1082d626e48c8a536b193eb056fcd4b9ab828ccf44360cce5f72c64f1c77aeb39d7be9f8412f78eebb7db8c3
DIST narwhals-1.48.0.tar.gz 515112 BLAKE2B 554c6d5e91762390a641e90d02f2e6a23e54fcff535a0a4757063ca2cd2b33046bfc3020d04dd983d0e7babd29a0585a026cf4b81a2cc265f1715019daf0864d SHA512 f2793a5ee0a99d0c339c24b707a2eb68b0445cef99c774058481c6b98e25c7bc2cf644f2c1ca19d74bfaddd750d5697fb843ec4eff0c61d42e6068ef20ecdbef
+DIST narwhals-1.48.1.tar.gz 515882 BLAKE2B 89e829161aeb3e7a986d26f11f0108c506c028d2f1685544913c47166865283b1ce62099562df1f85ebe5d4352e6f6d3eecd78da8d62a8a19fc9f8772995ebba SHA512 8096099844fe8042e53f5c8da39de5a843d94c892ef199d11f9ffe3b4ec58acea59d0160a11a51d9d347ddf7229ba997be093fa7e4bd9313e778ebc957da1d83
diff --git a/dev-python/narwhals/narwhals-1.48.1.ebuild b/dev-python/narwhals/narwhals-1.48.1.ebuild
new file mode 100644
index 000000000000..d2a95b1951d3
--- /dev/null
+++ b/dev-python/narwhals/narwhals-1.48.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Extremely lightweight compatibility layer between dataframe libraries"
+HOMEPAGE="
+ https://github.com/narwhals-dev/narwhals/
+ https://pypi.org/project/narwhals/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+BDEPEND="
+ test? (
+ >=dev-python/pandas-1.1.3[${PYTHON_USEDEP}]
+ >=dev-python/pyarrow-13.0.0[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( hypothesis pytest-env )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ # make hypothesis more forgiving
+ local -x CI=1
+ epytest --runslow --constructors="pandas,pandas[nullable],pandas[pyarrow],pyarrow"
+}
diff --git a/dev-python/numpy/Manifest b/dev-python/numpy/Manifest
index a6f0d4d4936b..4abd85d2c408 100644
--- a/dev-python/numpy/Manifest
+++ b/dev-python/numpy/Manifest
@@ -2,3 +2,4 @@ DIST numpy-1.26.4.tar.gz 15786129 BLAKE2B ee759d3a857111bc494d5e989a7b005375d942
DIST numpy-2.2.6.tar.gz 20276440 BLAKE2B 597ebbc72b2b3901bba4e0946f4f63ff13baf3b04d2f44d6e1ce8d05112f5d7191cb2e2f80e20006f0bc57a5a3f395fcc6003d9593e41b057394c12ad44f69f7 SHA512 00c82476c6cc8e68c4cd3210896172d91bdb52a46676931d173a3bbd772b29cebc8e819dfbbaf621eba9225fff3fa3f81426fe864d8812de4ff2975e7ac5c338
DIST numpy-2.3.0.tar.gz 20382813 BLAKE2B 684eed2d207b633feec03cb7c9517e4dff30033b498e6622448d278f2e3b442fa9f08a30c9d8d74f746d0524b9e4725348ccae10f1f3952df03b72d60af7f5c6 SHA512 d3fdae873fc50a692135045ee7fb542b0206ff167ffbe575a975ace4786b2a2f2d4b52034de3f61653feddffb5a850f5b2a499a32ec5214c0872c20b319d4d65
DIST numpy-2.3.1.tar.gz 20390372 BLAKE2B a52f39f8b7e4cf75bed3bbf32b92be7d118c7bab0b3cdbb1428b24daf71d4813641ade390bb20848156fc0ead3768383f272b755d130fb36348859b8c435c954 SHA512 aedb917cc6d8fcb923edb5b32e8b84bddb31fcf0159cfbda88b7ea9a5bc9e0ef58f27391746c6e9140777daf928c3e9de2a73758555130e5c00725d7082f7c2a
+DIST numpy-2.3.2.tar.gz 20489306 BLAKE2B 66a683a62daf3971c01a484d6e8c56e592744b93ec2648b61246d9969b02c62256153fb7c643002d7f82ebf1bfd5c9f34c14449b9daf85007e6cb854e97852dd SHA512 8f315a681704f1a18712828b5b9d5cd602576230fb08ff00c293ce129656faa49c9e01a446989dbd4d678166975432b531915e4838be66655ead1f0fc05be861
diff --git a/dev-python/numpy/numpy-2.3.2.ebuild b/dev-python/numpy/numpy-2.3.2.ebuild
new file mode 100644
index 000000000000..16777305fedb
--- /dev/null
+++ b/dev-python/numpy/numpy-2.3.2.ebuild
@@ -0,0 +1,187 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=meson-python
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+FORTRAN_NEEDED=lapack
+
+inherit distutils-r1 flag-o-matic fortran-2 pypi
+
+DESCRIPTION="Fast array and numerical python library"
+HOMEPAGE="
+ https://numpy.org/
+ https://github.com/numpy/numpy/
+ https://pypi.org/project/numpy/
+"
+
+LICENSE="BSD"
+SLOT="0/2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+# +lapack because the internal fallbacks are pretty slow. Building without blas
+# is barely supported anyway, see bug #914358.
+IUSE="big-endian +lapack"
+
+RDEPEND="
+ lapack? (
+ >=virtual/cblas-3.8
+ >=virtual/lapack-3.8
+ )
+"
+BDEPEND="
+ ${RDEPEND}
+ >=dev-build/meson-1.5.2
+ >=dev-python/cython-3.0.6[${PYTHON_USEDEP}]
+ lapack? (
+ virtual/pkgconfig
+ )
+ test? (
+ $(python_gen_cond_dep '
+ >=dev-python/cffi-1.14.0[${PYTHON_USEDEP}]
+ ' 'python*')
+ dev-python/charset-normalizer[${PYTHON_USEDEP}]
+ >=dev-python/pytz-2019.3[${PYTHON_USEDEP}]
+ )
+"
+
+QA_CONFIG_IMPL_DECL_SKIP=(
+ # https://bugs.gentoo.org/925367
+ vrndq_f32
+)
+
+EPYTEST_PLUGINS=( hypothesis pytest-timeout )
+EPYTEST_RERUNS=5
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_configure_all() {
+ DISTUTILS_ARGS=(
+ -Dallow-noblas=$(usex !lapack true false)
+ -Dblas=$(usev lapack cblas)
+ -Dlapack=$(usev lapack lapack)
+ # TODO: cpu-* options
+ )
+
+ # bug #922457
+ filter-lto
+ # https://github.com/numpy/numpy/issues/25004
+ append-flags -fno-strict-aliasing
+}
+
+python_test() {
+ # don't run tests that require more than 2 GiB of RAM (per process)
+ local -x NPY_AVAILABLE_MEM="2 GiB"
+
+ local EPYTEST_DESELECT=(
+ # Very disk-and-memory-hungry
+ numpy/lib/tests/test_io.py::TestSavezLoad::test_closing_fid
+ numpy/lib/tests/test_io.py::TestSavezLoad::test_closing_zipfile_after_load
+
+ # Precision problems
+ numpy/_core/tests/test_umath_accuracy.py::TestAccuracy::test_validate_transcendentals
+
+ numpy/typing/tests/test_typing.py
+ )
+
+ if [[ $(uname -m) == armv8l ]]; then
+ # Degenerate case of arm32 chroot on arm64, bug #774108
+ EPYTEST_DESELECT+=(
+ numpy/_core/tests/test_cpu_features.py::Test_ARM_Features::test_features
+ )
+ fi
+
+ case ${ARCH} in
+ arm)
+ EPYTEST_DESELECT+=(
+ # TODO: warnings
+ numpy/_core/tests/test_umath.py::TestSpecialFloats::test_unary_spurious_fpexception
+
+ # TODO
+ numpy/_core/tests/test_function_base.py::TestLinspace::test_denormal_numbers
+ numpy/f2py/tests/test_kind.py::TestKind::test_real
+ numpy/f2py/tests/test_kind.py::TestKind::test_quad_precision
+
+ # require too much memory
+ 'numpy/_core/tests/test_multiarray.py::TestDot::test_huge_vectordot[complex128]'
+ 'numpy/_core/tests/test_multiarray.py::TestDot::test_huge_vectordot[float64]'
+ )
+ ;;
+ hppa)
+ EPYTEST_DESELECT+=(
+ # https://bugs.gentoo.org/942689
+ "numpy/_core/tests/test_dtype.py::TestBuiltin::test_dtype[int]"
+ "numpy/_core/tests/test_dtype.py::TestBuiltin::test_dtype[float]"
+ "numpy/_core/tests/test_dtype.py::TestBuiltin::test_dtype_bytes_str_equivalence[datetime64]"
+ "numpy/_core/tests/test_dtype.py::TestBuiltin::test_dtype_bytes_str_equivalence[timedelta64]"
+ "numpy/_core/tests/test_dtype.py::TestBuiltin::test_dtype_bytes_str_equivalence[<f]"
+ "numpy/_core/tests/test_dtype.py::TestPickling::test_pickle_dtype[dt28]"
+ numpy/f2py/tests/test_kind.py::TestKind::test_real
+ numpy/f2py/tests/test_kind.py::TestKind::test_quad_precision
+ numpy/tests/test_ctypeslib.py::TestAsArray::test_reference_cycles
+ numpy/tests/test_ctypeslib.py::TestAsArray::test_segmentation_fault
+ numpy/tests/test_ctypeslib.py::TestAsCtypesType::test_scalar
+ numpy/tests/test_ctypeslib.py::TestAsCtypesType::test_subarray
+ numpy/tests/test_ctypeslib.py::TestAsCtypesType::test_structure
+ numpy/tests/test_ctypeslib.py::TestAsCtypesType::test_structure_aligned
+ numpy/tests/test_ctypeslib.py::TestAsCtypesType::test_union
+ numpy/tests/test_ctypeslib.py::TestAsCtypesType::test_padded_union
+ )
+ ;;
+ ppc|x86)
+ EPYTEST_DESELECT+=(
+ # require too much memory
+ 'numpy/_core/tests/test_multiarray.py::TestDot::test_huge_vectordot[complex128]'
+ 'numpy/_core/tests/test_multiarray.py::TestDot::test_huge_vectordot[float64]'
+ )
+ ;;
+ esac
+
+ if [[ ${CHOST} == powerpc64le-* ]]; then
+ EPYTEST_DESELECT+=(
+ # long double thingy
+ numpy/_core/tests/test_scalarprint.py::TestRealScalars::test_ppc64_ibm_double_double128
+ )
+ fi
+
+ if use big-endian; then
+ EPYTEST_DESELECT+=(
+ # ppc64 and sparc
+ numpy/linalg/tests/test_linalg.py::TestDet::test_generalized_sq_cases
+ numpy/linalg/tests/test_linalg.py::TestDet::test_sq_cases
+ "numpy/f2py/tests/test_return_character.py::TestFReturnCharacter::test_all_f77[s1]"
+ "numpy/f2py/tests/test_return_character.py::TestFReturnCharacter::test_all_f77[t1]"
+ "numpy/f2py/tests/test_return_character.py::TestFReturnCharacter::test_all_f90[s1]"
+ "numpy/f2py/tests/test_return_character.py::TestFReturnCharacter::test_all_f90[t1]"
+ )
+ fi
+
+ if ! has_version -b "~${CATEGORY}/${P}[${PYTHON_USEDEP}]" ; then
+ # depends on importing numpy.random from system namespace
+ EPYTEST_DESELECT+=(
+ 'numpy/random/tests/test_extending.py::test_cython'
+ )
+ fi
+
+ if has_version ">=dev-python/setuptools-74[${PYTHON_USEDEP}]"; then
+ # msvccompiler removal
+ EPYTEST_DESELECT+=(
+ numpy/tests/test_public_api.py::test_all_modules_are_expected_2
+ numpy/tests/test_public_api.py::test_api_importable
+ )
+ EPYTEST_IGNORE+=(
+ numpy/distutils/tests/test_mingw32ccompiler.py
+ numpy/distutils/tests/test_system_info.py
+ )
+ fi
+
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ epytest
+}
+
+python_install_all() {
+ local DOCS=( LICENSE.txt README.md THANKS.txt )
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/pebble/Manifest b/dev-python/pebble/Manifest
index fd09f0e77918..9698e1a07416 100644
--- a/dev-python/pebble/Manifest
+++ b/dev-python/pebble/Manifest
@@ -1 +1,2 @@
DIST pebble-5.1.1.tar.gz 38672 BLAKE2B 664c72006c0ac48cab72c8c28f131d881155e9abd59928fee13c4d037b913c87069fe46dd9b4126440991c76564f3dbd89a806a455461ecaa152c19aecbfa403 SHA512 ee63faa442e0d5f7c6b34b7a9af35a3979ef6bfde8d5672dd73d605afbb6647df9a298194f0271a5ae7e34f6a20ffb70af0e00b21dfbc612240fe213189dfdeb
+DIST pebble-5.1.2.tar.gz 38813 BLAKE2B 1fdb79d3bd9f184d8f381c1f8286491c85b99acd38251facf58473c3fb07b0b286c0157319a6412c745d8d50548b85049d01a95ff279c1258c72650851afa03c SHA512 a153ce777291111015bd8e611f81ad54108435fc72d2acad13547a4f4add128864088bf5622644bb07cd76647fe6f9b49139f3fcbe2d4b540efcfe43cbf53d73
diff --git a/dev-python/pebble/pebble-5.1.2.ebuild b/dev-python/pebble/pebble-5.1.2.ebuild
new file mode 100644
index 000000000000..74a219e89c1b
--- /dev/null
+++ b/dev-python/pebble/pebble-5.1.2.ebuild
@@ -0,0 +1,25 @@
+# Copyright 2020-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN=${PN^}
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Threading and multiprocessing eye-candy"
+HOMEPAGE="
+ https://pebble.readthedocs.io/
+ https://github.com/noxdafox/pebble/
+ https://pypi.org/project/Pebble/
+"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+EPYTEST_PLUGINS=()
+EPYTEST_RERUNS=5
+distutils_enable_tests pytest
diff --git a/dev-python/pygeotile/Manifest b/dev-python/pygeotile/Manifest
new file mode 100644
index 000000000000..fae7f5726955
--- /dev/null
+++ b/dev-python/pygeotile/Manifest
@@ -0,0 +1 @@
+DIST pygeotile-1.0.6.tar.gz 9998 BLAKE2B d0776629fa723f6a62d00f72a265b79cc80657affa1c1e0485979c96da1e0d30e4239a2b6a6c9b99aa72f702900b7156e832cdb12c28beb3d9e3e5f512d61cd2 SHA512 d5b824121c53f1a83ee3dbbe97e4da1e396d4c64a815497ed22078d51f6e35eb5edd9aea88d63598a1c087f3d1ce37c502c15b5fdb23f7f3123a29ea7c2d7084
diff --git a/dev-python/pygeotile/metadata.xml b/dev-python/pygeotile/metadata.xml
new file mode 100644
index 000000000000..39ae2e21bbee
--- /dev/null
+++ b/dev-python/pygeotile/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>ericanebula@proton.me</email>
+ <name>Erica Nebula</name>
+ </maintainer>
+ <upstream>
+ <changelog>https://github.com/geometalab/pyGeoTile/commits/master/</changelog>
+ <bugs-to>https://github.com/geometalab/pyGeoTile/issues</bugs-to>
+ </upstream>
+ <origin>gentoo-guru-overlay</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/pygeotile/pygeotile-1.0.6.ebuild b/dev-python/pygeotile/pygeotile-1.0.6.ebuild
new file mode 100644
index 000000000000..64979d7fe32f
--- /dev/null
+++ b/dev-python/pygeotile/pygeotile-1.0.6.ebuild
@@ -0,0 +1,25 @@
+# Copyright 2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{11..14} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1
+
+DESCRIPTION="Python package to handle tiles and points of different projections."
+HOMEPAGE="https://github.com/geometalab/pyGeoTile"
+
+MY_PN="pyGeoTile"
+COMMIT_ID="c744e540ba698fbe0d822616a62702918d24f71e" # No tags or releases in the github repo
+SRC_URI="https://github.com/geometalab/${MY_PN}/archive/${COMMIT_ID}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${MY_PN}-${COMMIT_ID}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RESTRICT="mirror"
+
+distutils_enable_tests pytest
diff --git a/dev-python/pyproject2ebuild/metadata.xml b/dev-python/pyproject2ebuild/metadata.xml
index 3fab47b124fa..08a1a05eefad 100644
--- a/dev-python/pyproject2ebuild/metadata.xml
+++ b/dev-python/pyproject2ebuild/metadata.xml
@@ -5,10 +5,6 @@
<email>oz.tiram@gmail.com</email>
<name>Oz Tiram</name>
</maintainer>
- <maintainer type="project">
- <email>proxy-maint@gentoo.org</email>
- <name>Proxy Maintainers</name>
- </maintainer>
<origin>gentoo-guru-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/pyroute2/Manifest b/dev-python/pyroute2/Manifest
index e31dd44d6da4..a2cfbe26e8c9 100644
--- a/dev-python/pyroute2/Manifest
+++ b/dev-python/pyroute2/Manifest
@@ -1 +1,2 @@
DIST pyroute2-0.9.2.tar.gz 470901 BLAKE2B 64cf2fd568b95914cef50c0c77dc0e4fd72a9ab766fca357204b82ca68a37e544c58cd53835bfa95415e8677c61ec8db2561d02d48bff7ea2a39e5dc1058ac66 SHA512 b6012f4ab20bed3630a90bcd1672f9f5a467b0ddb6ea180d8bd11868ac2361898e2fa33fafcda857026384fde5952a03b5b7b9d1f2672b963019fd7b2a83a6c3
+DIST pyroute2-0.9.3.tar.gz 463940 BLAKE2B 650bb3dd206f8b8a92ec83201e480e2aeb1dbf7babf55ba82f60b1efc2574110df529d075af9d5ff53c521a8d42e677d87b6b02451f8a0490adb0df68d49047f SHA512 f892cd77f9c7480fc774580bdb36fb0cf21b095a14a603667493b1281e14ee1ee2cd4578ec95d03365e7efacc42be33de4bf5b6380a50414cdd45b2922efddeb
diff --git a/dev-python/pyroute2/pyroute2-0.9.3.ebuild b/dev-python/pyroute2/pyroute2-0.9.3.ebuild
new file mode 100644
index 000000000000..339212774a9d
--- /dev/null
+++ b/dev-python/pyroute2/pyroute2-0.9.3.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A pure Python netlink and Linux network configuration library"
+HOMEPAGE="
+ https://github.com/svinota/pyroute2/
+ https://pypi.org/project/pyroute2/
+"
+
+LICENSE="|| ( GPL-2+ Apache-2.0 )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+# tests need root access
+RESTRICT="test"
+
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+"
diff --git a/dev-python/safety-schemas/metadata.xml b/dev-python/safety-schemas/metadata.xml
index 3fab47b124fa..08a1a05eefad 100644
--- a/dev-python/safety-schemas/metadata.xml
+++ b/dev-python/safety-schemas/metadata.xml
@@ -5,10 +5,6 @@
<email>oz.tiram@gmail.com</email>
<name>Oz Tiram</name>
</maintainer>
- <maintainer type="project">
- <email>proxy-maint@gentoo.org</email>
- <name>Proxy Maintainers</name>
- </maintainer>
<origin>gentoo-guru-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/sqlglot/Manifest b/dev-python/sqlglot/Manifest
index 7162cdd44577..cbd0499fcfc6 100644
--- a/dev-python/sqlglot/Manifest
+++ b/dev-python/sqlglot/Manifest
@@ -4,3 +4,5 @@ DIST sqlglot-27.1.0-crates.tar.xz 8859792 BLAKE2B abb2051b392c53dc3caa705ddd8df7
DIST sqlglot-27.1.0.tar.gz 5379716 BLAKE2B 12696cf65a0b7ead76ead388c38dfd49e2a886fa8d623df8ffbb569be2eafe6d1a5c302035137f2dac0c7f93093bf562577e53e7a4878702934e8f7ddbfcd294 SHA512 d84ad6868fa01bd0e10333396978c1e2c103c46dcd319e0fdefbba4159f2c601e14d53a41701ec91eaa7aaca767ba791485b31cea0af10a93bcbcb36c1c4aa3f
DIST sqlglot-27.2.0-crates.tar.xz 8859792 BLAKE2B abb2051b392c53dc3caa705ddd8df7076819a26dcdaa89fa3760559a79578db01e86943c2d0ffb8006263c2dca3aa50d20023eae9d772f8ebd12a8a2d3266cdd SHA512 7cca439a06433a62bcd4a2af33d240f46e9b5240cc158edbc654efb37a464aa0f1ebbe9749b2fc6352127b4809b63af2341fac6240050c414e578ae99444ba5d
DIST sqlglot-27.2.0.tar.gz 5389495 BLAKE2B 4d64d745b291e87bfaad61fe5331169dc953b7da04f9ccc89521cb01a44172ce823b64c48ab60ea3cb823a24338513009cc17bfe6baf4a0de942bee14d8ba3de SHA512 a04b947ddf1b5841615afe5c13db4aca1210398e1500dd507ee4c6e6da85dbf721c760e934d97e8d9021eade001580f80ccaea9a9ed2f15d9d413d21302971b1
+DIST sqlglot-27.3.1-crates.tar.xz 8859792 BLAKE2B abb2051b392c53dc3caa705ddd8df7076819a26dcdaa89fa3760559a79578db01e86943c2d0ffb8006263c2dca3aa50d20023eae9d772f8ebd12a8a2d3266cdd SHA512 7cca439a06433a62bcd4a2af33d240f46e9b5240cc158edbc654efb37a464aa0f1ebbe9749b2fc6352127b4809b63af2341fac6240050c414e578ae99444ba5d
+DIST sqlglot-27.3.1.tar.gz 5394397 BLAKE2B d9620f38a2b25b79253d4b5d3bab957f13ca3590b401da984fdfe8066cb66bb5fc91fa35e29d4c784966e9d8a165c403b3ebcb796b4d6ae9274991c2edd1b619 SHA512 345555074f8011b303eff15eb3e7e0acedf4c7d84f59090bf29d886032589ee979960c0da197d758c909443899637f8b750c7dd09011b1acb57aba7f59fbbaff
diff --git a/dev-python/sqlglot/sqlglot-27.3.1.ebuild b/dev-python/sqlglot/sqlglot-27.3.1.ebuild
new file mode 100644
index 000000000000..aa0c5230423e
--- /dev/null
+++ b/dev-python/sqlglot/sqlglot-27.3.1.ebuild
@@ -0,0 +1,179 @@
+# Copyright 2023-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CRATES="
+ aho-corasick@1.1.3
+ anes@0.1.6
+ anstyle@1.0.10
+ autocfg@1.1.0
+ bumpalo@3.16.0
+ cast@0.3.0
+ cfg-if@1.0.0
+ ciborium-io@0.2.2
+ ciborium-ll@0.2.2
+ ciborium@0.2.2
+ clap@4.5.23
+ clap_builder@4.5.23
+ clap_lex@0.7.4
+ criterion-plot@0.5.0
+ criterion@0.5.1
+ crossbeam-deque@0.8.6
+ crossbeam-epoch@0.9.18
+ crossbeam-utils@0.8.21
+ crunchy@0.2.2
+ either@1.13.0
+ half@2.4.1
+ heck@0.5.0
+ hermit-abi@0.4.0
+ indoc@2.0.4
+ is-terminal@0.4.13
+ itertools@0.10.5
+ itoa@1.0.14
+ js-sys@0.3.76
+ libc@0.2.169
+ log@0.4.22
+ memchr@2.7.4
+ memoffset@0.9.0
+ num-traits@0.2.19
+ once_cell@1.19.0
+ oorandom@11.1.4
+ plotters-backend@0.3.7
+ plotters-svg@0.3.7
+ plotters@0.3.7
+ portable-atomic@1.9.0
+ proc-macro2@1.0.89
+ pyo3-build-config@0.25.0
+ pyo3-ffi@0.25.0
+ pyo3-macros-backend@0.25.0
+ pyo3-macros@0.25.0
+ pyo3@0.25.0
+ quote@1.0.37
+ rayon-core@1.12.1
+ rayon@1.10.0
+ regex-automata@0.4.9
+ regex-syntax@0.8.5
+ regex@1.11.1
+ rustc-hash@2.1.0
+ ryu@1.0.18
+ same-file@1.0.6
+ serde@1.0.216
+ serde_derive@1.0.216
+ serde_json@1.0.133
+ syn@2.0.87
+ target-lexicon@0.13.2
+ tinytemplate@1.2.1
+ unicode-ident@1.0.12
+ unindent@0.2.3
+ walkdir@2.5.0
+ wasm-bindgen-backend@0.2.99
+ wasm-bindgen-macro-support@0.2.99
+ wasm-bindgen-macro@0.2.99
+ wasm-bindgen-shared@0.2.99
+ wasm-bindgen@0.2.99
+ web-sys@0.3.76
+ winapi-util@0.1.9
+ windows-sys@0.52.0
+ windows-sys@0.59.0
+ windows-targets@0.52.6
+ windows_aarch64_gnullvm@0.52.6
+ windows_aarch64_msvc@0.52.6
+ windows_i686_gnu@0.52.6
+ windows_i686_gnullvm@0.52.6
+ windows_i686_msvc@0.52.6
+ windows_x86_64_gnu@0.52.6
+ windows_x86_64_gnullvm@0.52.6
+ windows_x86_64_msvc@0.52.6
+"
+
+CARGO_OPTIONAL=1
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit cargo distutils-r1 pypi optfeature
+
+DESCRIPTION="An easily customizable SQL parser and transpiler"
+HOMEPAGE="
+ https://sqlglot.com/
+ https://github.com/tobymao/sqlglot/
+ https://pypi.org/project/sqlglot/
+"
+SRC_URI+="
+ native-extensions? (
+ https://github.com/gentoo-crate-dist/sqlglot/releases/download/v${PV}/${P}-crates.tar.xz
+ )
+"
+
+LICENSE="MIT"
+LICENSE+=" native-extensions? ("
+# Dependent crate licenses
+LICENSE+="
+ Apache-2.0 Apache-2.0-with-LLVM-exceptions MIT Unicode-DFS-2016
+"
+LICENSE+=" )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="+native-extensions"
+
+BDEPEND="
+ native-extensions? (
+ ${RUST_DEPEND}
+ dev-util/maturin[${PYTHON_USEDEP}]
+ )
+ test? (
+ dev-python/pytz[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/sqlglotrs/sqlglotrs.*.so"
+
+pkg_setup() {
+ use native-extensions && rust_pkg_setup
+}
+
+src_unpack() {
+ cargo_src_unpack
+}
+
+python_compile() {
+ distutils-r1_python_compile
+
+ if use native-extensions; then
+ local DISTUTILS_USE_PEP517=maturin
+ local DISTUTILS_UPSTREAM_PEP517=maturin
+ cd sqlglotrs || die
+ distutils-r1_python_compile
+ cd - >/dev/null || die
+ fi
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # timing, sigh
+ # https://github.com/tobymao/sqlglot/issues/3961
+ tests/test_generator.py::TestGenerator::test_generate_nested_binary
+ )
+ local EPYTEST_IGNORE=(
+ # Tests require pyspark or duckdb which aren't in the tree.
+ # Pandas would be a requirement normally, but it gets ignored by proxy.
+ "tests/dataframe/integration/test_dataframe.py"
+ "tests/dataframe/integration/test_grouped_data.py"
+ "tests/dataframe/integration/test_session.py"
+ "tests/test_executor.py"
+ "tests/test_optimizer.py"
+ )
+
+ # make sure not to use an earlier installed version
+ local -x SQLGLOTRS_TOKENIZER=$(usex native-extensions 1 0)
+ rm -rf sqlglotrs || die
+ epytest
+}
+
+pkg_postinst() {
+ optfeature "simplifying timedelta expressions" dev-python/python-dateutil
+}
diff --git a/dev-python/weasyprint/Manifest b/dev-python/weasyprint/Manifest
index 1c2917d7ab9a..9a35fb0da6fd 100644
--- a/dev-python/weasyprint/Manifest
+++ b/dev-python/weasyprint/Manifest
@@ -1 +1,2 @@
DIST weasyprint-65.1.tar.gz 499028 BLAKE2B 44dc948fb1c8b2fc5c6ca55203d049038ed74cf405211fc7c7364ac2bcb82b591c8df2c99c1b20d3f2f944b8b4611b1a2b87fdb9b1ede1413739444cc9f15dbc SHA512 6b36b66b471c8b6a853f783a0c6d9548f27ac2ee51be0a54d1e75eb9451c94da931484d1877e716ee99c9624a9fec4c8f28bfea5959f44344dc5938272c8bef1
+DIST weasyprint-66.0.tar.gz 504224 BLAKE2B 2090b07fa06df89c847c4037fa2b7276bde2866b61e7b54b09d94658a2be3f988128619fa645569194f5087531a5403281e6d2bc926f18e8b5fe4f79dddc3ee9 SHA512 850996c6934156f4d4fca12cc052a8346b85aeadf1a3d99763e20a6ddabd2b93a39983615990e0e680a942c63c09563effa9b66abc5bf0c368963737ddf66264
diff --git a/dev-python/weasyprint/weasyprint-66.0.ebuild b/dev-python/weasyprint/weasyprint-66.0.ebuild
new file mode 100644
index 000000000000..0a9b79989738
--- /dev/null
+++ b/dev-python/weasyprint/weasyprint-66.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Visual rendering engine for HTML and CSS that can export to PDF"
+HOMEPAGE="
+ https://weasyprint.org/
+ https://github.com/Kozea/WeasyPrint/
+ https://pypi.org/project/weasyprint/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/cffi-0.6:=[${PYTHON_USEDEP}]
+ >=dev-python/cssselect2-0.8.0[${PYTHON_USEDEP}]
+ >=dev-python/fonttools-4.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pillow-9.1.0[jpeg,jpeg2k,${PYTHON_USEDEP}]
+ >=dev-python/pydyf-0.11.0[${PYTHON_USEDEP}]
+ >=dev-python/pyphen-0.9.1[${PYTHON_USEDEP}]
+ >=dev-python/tinycss2-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/tinyhtml5-2.0.0[${PYTHON_USEDEP}]
+ media-fonts/dejavu
+ x11-libs/pango
+"
+
+BDEPEND="
+ test? (
+ >=app-text/ghostscript-gpl-9.56.1-r3
+ media-fonts/ahem
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest